<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.chinaweal.youfool</groupId>
    <artifactId>youfool</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>war</packaging>
    <name>${project.artifactId}</name>
    <url>https://www.chinaweal.com.cn</url>
    <description>某某系统</description>
    <properties>
        <java.version>1.8</java.version>
        <skipTests>true</skipTests>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.compiler.compilerVersion>1.8</maven.compiler.compilerVersion>
        <failOnMissingWebXml>false</failOnMissingWebXml>
        <spring.boot.version>2.3.5.RELEASE</spring.boot.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring.boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!--开始 - 项目基础框架-->
        <dependency>
            <groupId>com.chinaweal.youfool</groupId>
            <artifactId>youfool-framework-springboot</artifactId>
            <version>2.1.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.12</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.12</version>
            <scope>test</scope>
        </dependency>
        <!--结束 - 项目基础框架-->
		
        <!--开始 - 某某某功能需要引入的jar，请用开始结束包起来-->
        <dependency>
            <groupId>org.xx</groupId>
            <artifactId>xx</artifactId>
            <version>xx</version>
        </dependency>
        <dependency>
            <groupId>org.xx</groupId>
            <artifactId>xx</artifactId>
            <version>xx</version>
        </dependency>
        <dependency>
            <groupId>org.xx</groupId>
            <artifactId>xx</artifactId>
            <version>xx</version>
        </dependency>
        <!--结束 - 某某某功能需要引入的jar-->


    </dependencies>

    <build>
        <plugins>
            <!--开始 - 代码风格检测插件 checkstyle -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
                <version>3.1.1</version>
                <configuration>
                    <!--encoding和consoleOutput一般配套使用,consoleOutput用来设置是否输出相关检查语句,encoding用来设置输出语句的编码格式-->
                    <encoding>utf-8</encoding>
                    <consoleOutput>true</consoleOutput>
                    <!-- 如果在检测中出现error,则打包程序会在checkstyle程序检查完成后停下来 -->
                    <failsOnError>true</failsOnError>
                    <!-- 是否包括测试类 -->
                    <includeTestSourceDirectory>false</includeTestSourceDirectory>
                    <!-- 自定义配置目录 -->
                    <configLocation>checkstyle-v1.0.xml</configLocation>
                </configuration>
                <executions>
                    <execution>
                        <id>validate</id>
                        <phase>validate</phase>
                        <goals>
                            <!-- checkstyle：check目标是一个普通目标，它向控制台报告违规情况和/或在发生违规情况时使构建失败 -->
                            <goal>check</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!--结束 - 代码风格检测插件 checkstyle -->


            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
            </plugin>
        </plugins>
    </build>
</project>
